# DO NOT DELETE: Beginning of Haskell dependencies
utils/hsc2hs/dist/build/HSCParser.o utils/hsc2hs/dist/build/HSCParser._o : utils/hsc2hs/HSCParser.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/HSCParser.hi utils/hsc2hs/dist/build/HSCParser._hi  : %hi: %o  utils/hsc2hs/HSCParser.hs))
utils/hsc2hs/dist/build/HSCParser.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/HSCParser._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/HSCParser.o : /usr/lib/ghc/base-4.5.0.0/Data/Char.hi
utils/hsc2hs/dist/build/HSCParser._o : /usr/lib/ghc/base-4.5.0.0/Data/Char._hi
utils/hsc2hs/dist/build/HSCParser.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
utils/hsc2hs/dist/build/HSCParser._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
utils/hsc2hs/dist/build/HSCParser.o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative.hi
utils/hsc2hs/dist/build/HSCParser._o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative._hi
utils/hsc2hs/dist/build/Flags.o utils/hsc2hs/dist/build/Flags._o : utils/hsc2hs/Flags.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Flags.hi utils/hsc2hs/dist/build/Flags._hi  : %hi: %o  utils/hsc2hs/Flags.hs))
utils/hsc2hs/dist/build/Flags.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/Flags._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/Flags.o : /usr/lib/ghc/base-4.5.0.0/System/Console/GetOpt.hi
utils/hsc2hs/dist/build/Flags._o : /usr/lib/ghc/base-4.5.0.0/System/Console/GetOpt._hi
utils/hsc2hs/dist/build/C.o utils/hsc2hs/dist/build/C._o : utils/hsc2hs/C.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/C.hi utils/hsc2hs/dist/build/C._hi  : %hi: %o  utils/hsc2hs/C.hs))
utils/hsc2hs/dist/build/C.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/C._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/C.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/C._o : utils/hsc2hs/dist/build/Flags._hi
utils/hsc2hs/dist/build/C.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/C._o : utils/hsc2hs/dist/build/HSCParser._hi
utils/hsc2hs/dist/build/C.o : /usr/lib/ghc/filepath-1.3.0.0/System/FilePath.hi
utils/hsc2hs/dist/build/C._o : /usr/lib/ghc/filepath-1.3.0.0/System/FilePath._hi
utils/hsc2hs/dist/build/C.o : /usr/lib/ghc/base-4.5.0.0/Data/List.hi
utils/hsc2hs/dist/build/C._o : /usr/lib/ghc/base-4.5.0.0/Data/List._hi
utils/hsc2hs/dist/build/C.o : /usr/lib/ghc/base-4.5.0.0/Data/Char.hi
utils/hsc2hs/dist/build/C._o : /usr/lib/ghc/base-4.5.0.0/Data/Char._hi
utils/hsc2hs/dist/build/Common.o utils/hsc2hs/dist/build/Common._o : utils/hsc2hs/Common.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Common.hi utils/hsc2hs/dist/build/Common._hi  : %hi: %o  utils/hsc2hs/Common.hs))
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/directory-1.1.0.2/System/Directory.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/directory-1.1.0.2/System/Directory._hi
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/base-4.5.0.0/System/Exit.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/base-4.5.0.0/System/Exit._hi
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/process-1.1.0.1/System/Process.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/process-1.1.0.1/System/Process._hi
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/base-4.5.0.0/System/IO.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/base-4.5.0.0/System/IO._hi
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/base-4.5.0.0/Control/Exception.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/base-4.5.0.0/Control/Exception._hi
utils/hsc2hs/dist/build/Common.o : /usr/lib/ghc/base-4.5.0.0/Control/Exception.hi
utils/hsc2hs/dist/build/Common._o : /usr/lib/ghc/base-4.5.0.0/Control/Exception._hi
utils/hsc2hs/dist/build/CrossCodegen.o utils/hsc2hs/dist/build/CrossCodegen._o : utils/hsc2hs/CrossCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/CrossCodegen.hi utils/hsc2hs/dist/build/CrossCodegen._hi  : %hi: %o  utils/hsc2hs/CrossCodegen.hs))
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/CrossCodegen._o : utils/hsc2hs/dist/build/HSCParser._hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/CrossCodegen._o : utils/hsc2hs/dist/build/Flags._hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/CrossCodegen._o : utils/hsc2hs/dist/build/Common._hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/C.hi
utils/hsc2hs/dist/build/CrossCodegen._o : utils/hsc2hs/dist/build/C._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/process-1.1.0.1/System/Process.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/process-1.1.0.1/System/Process._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/System/Exit.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/System/Exit._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/containers-0.4.2.1/Data/Sequence.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/containers-0.4.2.1/Data/Sequence._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/containers-0.4.2.1/Data/Sequence.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/containers-0.4.2.1/Data/Sequence._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/Data/Foldable.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/Data/Foldable._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/Control/Exception.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/Control/Exception._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/Data/Char.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/Data/Char._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/directory-1.1.0.2/System/Directory.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/directory-1.1.0.2/System/Directory._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/System/IO.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/System/IO._hi
utils/hsc2hs/dist/build/CrossCodegen.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/CrossCodegen._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/UtilsCodegen.o utils/hsc2hs/dist/build/UtilsCodegen._o : utils/hsc2hs/UtilsCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/UtilsCodegen.hi utils/hsc2hs/dist/build/UtilsCodegen._hi  : %hi: %o  utils/hsc2hs/UtilsCodegen.hs))
utils/hsc2hs/dist/build/UtilsCodegen.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/UtilsCodegen._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/UtilsCodegen.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/UtilsCodegen._o : utils/hsc2hs/dist/build/Flags._hi
utils/hsc2hs/dist/build/UtilsCodegen.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/UtilsCodegen._o : utils/hsc2hs/dist/build/Common._hi
utils/hsc2hs/dist/build/UtilsCodegen.o : utils/hsc2hs/dist/build/C.hi
utils/hsc2hs/dist/build/UtilsCodegen._o : utils/hsc2hs/dist/build/C._hi
utils/hsc2hs/dist/build/UtilsCodegen.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
utils/hsc2hs/dist/build/UtilsCodegen._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
utils/hsc2hs/dist/build/DirectCodegen.o utils/hsc2hs/dist/build/DirectCodegen._o : utils/hsc2hs/DirectCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/DirectCodegen.hi utils/hsc2hs/dist/build/DirectCodegen._hi  : %hi: %o  utils/hsc2hs/DirectCodegen.hs))
utils/hsc2hs/dist/build/DirectCodegen.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/DirectCodegen._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/UtilsCodegen.hi
utils/hsc2hs/dist/build/DirectCodegen._o : utils/hsc2hs/dist/build/UtilsCodegen._hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/DirectCodegen._o : utils/hsc2hs/dist/build/HSCParser._hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/DirectCodegen._o : utils/hsc2hs/dist/build/Flags._hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/DirectCodegen._o : utils/hsc2hs/dist/build/Common._hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/C.hi
utils/hsc2hs/dist/build/DirectCodegen._o : utils/hsc2hs/dist/build/C._hi
utils/hsc2hs/dist/build/DirectCodegen.o : /usr/lib/ghc/filepath-1.3.0.0/System/FilePath.hi
utils/hsc2hs/dist/build/DirectCodegen._o : /usr/lib/ghc/filepath-1.3.0.0/System/FilePath._hi
utils/hsc2hs/dist/build/DirectCodegen.o : /usr/lib/ghc/base-4.5.0.0/System/Exit.hi
utils/hsc2hs/dist/build/DirectCodegen._o : /usr/lib/ghc/base-4.5.0.0/System/Exit._hi
utils/hsc2hs/dist/build/DirectCodegen.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
utils/hsc2hs/dist/build/DirectCodegen._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
utils/hsc2hs/dist/build/DirectCodegen.o : /usr/lib/ghc/base-4.5.0.0/Data/Char.hi
utils/hsc2hs/dist/build/DirectCodegen._o : /usr/lib/ghc/base-4.5.0.0/Data/Char._hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o utils/hsc2hs/dist/build/Paths_hsc2hs._o : utils/hsc2hs/dist/build/autogen/Paths_hsc2hs.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Paths_hsc2hs.hi utils/hsc2hs/dist/build/Paths_hsc2hs._hi  : %hi: %o  utils/hsc2hs/dist/build/autogen/Paths_hsc2hs.hs))
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/Paths_hsc2hs._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /usr/lib/ghc/base-4.5.0.0/System/Environment.hi
utils/hsc2hs/dist/build/Paths_hsc2hs._o : /usr/lib/ghc/base-4.5.0.0/System/Environment._hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /usr/lib/ghc/base-4.5.0.0/Data/Version.hi
utils/hsc2hs/dist/build/Paths_hsc2hs._o : /usr/lib/ghc/base-4.5.0.0/Data/Version._hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /usr/lib/ghc/base-4.5.0.0/Control/Exception.hi
utils/hsc2hs/dist/build/Paths_hsc2hs._o : /usr/lib/ghc/base-4.5.0.0/Control/Exception._hi
utils/hsc2hs/dist/build/Main.o utils/hsc2hs/dist/build/Main._o : utils/hsc2hs/Main.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Main.hi utils/hsc2hs/dist/build/Main._hi  : %hi: %o  utils/hsc2hs/Main.hs))
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/Main._o : utils/hsc2hs/dist/build/HSCParser._hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/Main._o : utils/hsc2hs/dist/build/Flags._hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/DirectCodegen.hi
utils/hsc2hs/dist/build/Main._o : utils/hsc2hs/dist/build/DirectCodegen._hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/CrossCodegen.hi
utils/hsc2hs/dist/build/Main._o : utils/hsc2hs/dist/build/CrossCodegen._hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/Main._o : utils/hsc2hs/dist/build/Common._hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/Paths_hsc2hs.hi
utils/hsc2hs/dist/build/Main._o : utils/hsc2hs/dist/build/Paths_hsc2hs._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/Data/Version.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/Data/Version._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/System/IO.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/System/IO._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/filepath-1.3.0.0/System/FilePath.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/filepath-1.3.0.0/System/FilePath._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/System/Exit.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/System/Exit._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/System/Environment.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/System/Environment._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/directory-1.1.0.2/System/Directory.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/directory-1.1.0.2/System/Directory._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/System/Console/GetOpt.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/System/Console/GetOpt._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/Data/List.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/Data/List._hi
utils/hsc2hs/dist/build/Main.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
utils/hsc2hs/dist/build/Main._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
# DO NOT DELETE: End of Haskell dependencies
utils/hsc2hs_dist_depfile_haskell_EXISTS = YES
